<div style="border-radius: 5px;" matRipple [matRippleColor]="'hsla(0, 0%, 0%, 0.4)'">
  <div class="product__wrapper shadow">
    <div class="product__image">
      <ng-container *ngIf="product.image">
        <img [src]="product.image" class="card-img" [alt]="product.name">
      </ng-container>
      <ng-container *ngIf="!product.image">
        <div class="px-3 display-3 text-truncate py-2">{{product.description}}</div>
      </ng-container>
    </div>
    <div class="product__details d-flex flex-column">
      <h5 class="product__name flex-grow-1 mb-2">{{product.name}}
      </h5>
      <h5 class="product__price" *ngIf="discount === 0">{{product.price | currency}}</h5>
      <ng-container *ngIf="discount !== 0">
        <h5 class="product__price text-success">
          {{product.price - (product.price * discount / 100) | currency}}
        </h5>
      </ng-container>
    </div>
  </div>
</div>
